### Function

# Dex app_info_launch_uris

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_app_info_launch_uris (
      GAppInfo* appinfo,
      GList* uris,
      GAppLaunchContext* context
    )

#### Description [src]

Wraps `g_app_info_launch_uris_async()`.

Available since: 1.2

#### Parameters

`appinfo`

  Type: `GAppInfo`

  A `GAppInfo`.

  The data is owned by the caller of the function.

`uris`

  Type: A list of `utf8`

  URIs to launch.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`context`

  Type: `GAppLaunchContext`

  A `GAppLaunchContext`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.